Bug 444740 - Wrong language in en_GB.UTF-8 description! :)
Wrong language in en_GB.UTF-8 description! :)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: specspo (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 09:14 EDT by Jarkko
Modified: 2009-06-10 06:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarkko 2008-04-30 09:14:13 EDT
$ env | grep LANG
LANG=en_GB.UTF-8
GDM_LANG=en_GB.UTF-8

$ locale
LANG=en_GB.UTF-8
LC_CTYPE="en_GB.UTF-8"
LC_NUMERIC="en_GB.UTF-8"
LC_TIME="en_GB.UTF-8"
LC_COLLATE="en_GB.UTF-8"
LC_MONETARY="en_GB.UTF-8"
LC_MESSAGES="en_GB.UTF-8"
LC_PAPER="en_GB.UTF-8"
LC_NAME="en_GB.UTF-8"
LC_ADDRESS="en_GB.UTF-8"
LC_TELEPHONE="en_GB.UTF-8"
LC_MEASUREMENT="en_GB.UTF-8"
LC_IDENTIFICATION="en_GB.UTF-8"
LC_ALL=


So I should get en_GB.UTF-8 description. Ok, see what happens:

$ yum info eclipse-cdt
Available Packages
Name   : eclipse-cdt
Arch   : x86_64
Epoch  : 1
Version: 4.0.1
Release: 3.fc8
Size   : 38 M
Repo   : updates
Summary: Eclipse C/C++ Development Tools (CDT) plugin
Description:
El paquete eclipse-cdt contiene los plugins y características de Eclipse que se
necesitan para el desarrollo en C y C++.


There must be wrong language in place of en_GB. If en_GB would just be missing,
I think I would have got en_US description then.
Comment 1 Jeff Johnston 2008-05-07 17:32:04 EDT
Transferring this to the yum folks.  The eclipse-cdt rpm specfile description is
written in English and is not translated at this end.
Comment 2 James Antill 2008-05-07 18:03:25 EDT
 This is directly from the Fedora updates MD:

"""Eclipse C/C++ Development Tools (CDT) plugin|The eclipse-cdt package contains
Eclipse features and plugins that are
useful for C and C++ development."""

...so I'd guess this is a problem in your specspo package. What does:

 rpm -V specspo
 rpm -q specspo

...say?
Comment 3 Jarkko 2008-05-08 02:18:30 EDT
"rpm -V specspo" says nothing. Exits with 0.

"rpm -q specspo" says: specspo-15-1.noarch


"LANG=en_US.UTF-8 yum info eclipse-cdt" outputs US English description
correctly. Changing US to GB there and I get... apparently Spanish.
Comment 4 Jarkko 2008-05-08 02:27:04 EDT
Tested in F9/rawhide:

$ env | grep LC
<nothing>
$ env | grep LANG
LANG=en_GB.UTF-8

$ yum info eclipse-cdt
Loaded plugins: refresh-packagekit
Available Packages
Name       : eclipse-cdt
Arch       : i386
Epoch      : 1
Version    : 4.0.3
Release    : 1.fc9
Size       : 33 M
Repo       : fedora
Summary    : Eclipse C/C++ Development Tools (CDT) plugin
URL        : http://www.eclipse.org/cdt
License    : Eclipse Public License / CPL
Description: El paquete eclipse-cdt contiene los plugins y características de
           : Eclipse que se necesitan para el desarrollo en C y C++.

"rpm -V specspo" says nothing. Exits with 0.

"rpm -q specspo" says: specspo-15-1.noarch

LANG=en_DK.UTF_8 yum info eclipse-cdt outputs English description from the en_DK
locale correctly (en_DK also works in F8).

So, the same bug happens in F9/rawhide. Therefore, changing version to rawhide
because this should be fixed at least there so we get rid of this bug
permanently. :)
Comment 5 Jarkko 2008-05-10 08:08:51 EDT
Found another one:

F9 (LANG=en_GB.UTF-8):

$ yum info gnome-python2-totem.i386
Loaded plugins: refresh-packagekit
Available Packages
Name       : gnome-python2-totem
Arch       : i386
Version    : 2.22.0
Release    : 2.fc9
Size       : 15 k
Repo       : fedora
Summary    : Python bindings for interacting with totem
License    : LGPLv2
Description: Este módulo contiene un encapsulador que permite utilizar totem a
través de Python.
Comment 6 Bug Zapper 2008-05-14 06:25:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 20:32:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jarkko 2009-06-10 06:18:48 EDT
Fixed in specspo-16-1.noarch from F10 at least, so closing.

Note You need to log in before you can comment on or make changes to this bug.